#include <HCSR04.h>
#include <Servo.h>

Servo myservo;                                    // objeto de servo
UltraSonicDistanceSensor distanceSensor(13, 12);  // Para inicializar los sensores que usan los pin 13 y 12.

int val;                    //valor de distancia
int distancia_limite = 20;  // la distancia limite la ponemos a 20
bool activo = false;        // verificar si esta activo

void setup() {
  pinMode(12, INPUT);  // pin 12 i 13 pel sensor
  pinMode(13, OUTPUT);
  pinMode(7, OUTPUT);  // pin pel LED
  Serial.begin(9600);  // Inicializamos la conexión serial para poder imprimir los valores del sensor
  myservo.attach(11);
  myservo.write(0);  // servo a 0 grados
  digitalWrite(7, HIGH);
}

void loop() {
  val = distanceSensor.measureDistanceCm();  // val lo identificamos para que coja distancia
   if (val < distancia_limite && activo == false) { 
     for (int i = 0; i < 4; i++){ // cuando se activa (porque el valor de la distancia es mas pequeño que la distancia limite)
        myservo.write(140);                             // servo a 140 grados
        delay (700);
        digitalWrite(7, LOW);                          // leds se encienden
        myservo.write(0);                               // servo se dirije a 0 grados
        delay (700);
        digitalWrite(7, HIGH); }                          // los led se cierran
        activo = true;                                 // active es igual a fals
      } else if (val > distancia_limite && activo == true) {
        activo = false;
      }

      delay(700);
    }